<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>gluon: greatest_prng Struct Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">gluon
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Data Fields</a>  </div>
  <div class="headertitle">
<div class="title">greatest_prng Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="byte__stack_2greatest_8h_source.html">greatest.h</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Data Fields</h2></td></tr>
<tr class="memitem:a56fb193b3c290daf7630a29b91a7a117"><td class="memItemLeft" align="right" valign="top">unsigned char&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structgreatest__prng.html#a56fb193b3c290daf7630a29b91a7a117">random_order</a></td></tr>
<tr class="separator:a56fb193b3c290daf7630a29b91a7a117"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac1e2012077affd3af36e62437d68fa8b"><td class="memItemLeft" align="right" valign="top">unsigned char&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structgreatest__prng.html#ac1e2012077affd3af36e62437d68fa8b">initialized</a></td></tr>
<tr class="separator:ac1e2012077affd3af36e62437d68fa8b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2f045300b6675dfdb57276234588b804"><td class="memItemLeft" align="right" valign="top">unsigned char&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structgreatest__prng.html#a2f045300b6675dfdb57276234588b804">pad_0</a> [6]</td></tr>
<tr class="separator:a2f045300b6675dfdb57276234588b804"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af7504fc0e249186b115eb5f51a297878"><td class="memItemLeft" align="right" valign="top">unsigned long&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structgreatest__prng.html#af7504fc0e249186b115eb5f51a297878">state</a></td></tr>
<tr class="separator:af7504fc0e249186b115eb5f51a297878"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a61b4b8d2ac3f4853727e2c2fcbec3503"><td class="memItemLeft" align="right" valign="top">unsigned long&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structgreatest__prng.html#a61b4b8d2ac3f4853727e2c2fcbec3503">count</a></td></tr>
<tr class="separator:a61b4b8d2ac3f4853727e2c2fcbec3503"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0cffe877704151e2e452e4d58b6f34e7"><td class="memItemLeft" align="right" valign="top">unsigned long&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structgreatest__prng.html#a0cffe877704151e2e452e4d58b6f34e7">count_ceil</a></td></tr>
<tr class="separator:a0cffe877704151e2e452e4d58b6f34e7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5d47fafffc80e65dbc8813c80d9e4f42"><td class="memItemLeft" align="right" valign="top">unsigned long&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structgreatest__prng.html#a5d47fafffc80e65dbc8813c80d9e4f42">count_run</a></td></tr>
<tr class="separator:a5d47fafffc80e65dbc8813c80d9e4f42"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae721d790ca3bd18d8afb3d8f31288bc0"><td class="memItemLeft" align="right" valign="top">unsigned long&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structgreatest__prng.html#ae721d790ca3bd18d8afb3d8f31288bc0">mod</a></td></tr>
<tr class="separator:ae721d790ca3bd18d8afb3d8f31288bc0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad482e521f784ddc90ddc760658d34d7d"><td class="memItemLeft" align="right" valign="top">unsigned long&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structgreatest__prng.html#ad482e521f784ddc90ddc760658d34d7d">a</a></td></tr>
<tr class="separator:ad482e521f784ddc90ddc760658d34d7d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab00e2f277ebc91de9d049c280f5e458a"><td class="memItemLeft" align="right" valign="top">unsigned long&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structgreatest__prng.html#ab00e2f277ebc91de9d049c280f5e458a">c</a></td></tr>
<tr class="separator:ab00e2f277ebc91de9d049c280f5e458a"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Field Documentation</h2>
<a id="ad482e521f784ddc90ddc760658d34d7d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad482e521f784ddc90ddc760658d34d7d">&#9670;&nbsp;</a></span>a</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned long a</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ab00e2f277ebc91de9d049c280f5e458a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab00e2f277ebc91de9d049c280f5e458a">&#9670;&nbsp;</a></span>c</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned long c</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a61b4b8d2ac3f4853727e2c2fcbec3503"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a61b4b8d2ac3f4853727e2c2fcbec3503">&#9670;&nbsp;</a></span>count</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned long count</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a0cffe877704151e2e452e4d58b6f34e7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0cffe877704151e2e452e4d58b6f34e7">&#9670;&nbsp;</a></span>count_ceil</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned long count_ceil</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a5d47fafffc80e65dbc8813c80d9e4f42"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5d47fafffc80e65dbc8813c80d9e4f42">&#9670;&nbsp;</a></span>count_run</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned long count_run</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ac1e2012077affd3af36e62437d68fa8b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac1e2012077affd3af36e62437d68fa8b">&#9670;&nbsp;</a></span>initialized</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned char initialized</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ae721d790ca3bd18d8afb3d8f31288bc0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae721d790ca3bd18d8afb3d8f31288bc0">&#9670;&nbsp;</a></span>mod</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned long mod</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a2f045300b6675dfdb57276234588b804"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2f045300b6675dfdb57276234588b804">&#9670;&nbsp;</a></span>pad_0</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned char pad_0</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a56fb193b3c290daf7630a29b91a7a117"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a56fb193b3c290daf7630a29b91a7a117">&#9670;&nbsp;</a></span>random_order</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned char random_order</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="af7504fc0e249186b115eb5f51a297878"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af7504fc0e249186b115eb5f51a297878">&#9670;&nbsp;</a></span>state</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned long state</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li>byte_stack/<a class="el" href="byte__stack_2greatest_8h_source.html">greatest.h</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
